Subject: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Mar 2011 11:17:27 -0400

>> Good, thanks.  I'll still have to do it by hand, sadly, since I like to
>> "fit the text" rather than "fit the page", i.e. I like to keep the
>> margins outside of the viewable area.  A command to do that
>> automatically would be really nifty.
> Sad to say, I have no idea to realize such function, although I completely
> agree with you.

Neither do I, which is why I haven't implemented it yet.

Actually, I think it's largely impossible to do it the way I like to do
it by hand, because I often keep page headers and footers outside of the
viewable area, so the tool would have to be able to recognize those
automatically, which seems close to impossible.
I've tried to use pdfcrop a few times but it almost always bumps into
some text displayed in some corner and ends up showing me more than
I want to see.

        Stefan